---

- name: create tobraid directory
  file: 
    name: '/var/lib/topbraid'
    state: directory
    owner: tomcat 
    group: tomcat
    mode: 0744

- name: create directory Topbraid server projects
  file: 
    name: '/var/lib/topbraid/ontologies'
    state: directory
    owner: tomcat 
    group: tomcat
    mode: 0744
    
- name: create directory Topbraid third-party plugin
  file: 
    name: '/var/lib/topbraid/dropins'
    state: directory
    owner: tomcat 
    group: tomcat
    mode: 0744    

# Do we need manual web.xml generation? 
# http://wiki.topquadrant.com/display/TBS55/TBL+Server+Installation+and+Integration#TBLServerInstallationandIntegration-InstallationonLinux

- name: restart Tomcat
  systemd:
    name: tomcat
    state: restarted
    daemon_reload: true
    
- name: wait for tomcat to start
  wait_for: 
    port: '{{topbraid_port}}'

- name: remove old EDG files
  file:
    path: "{{ item }}"
    state: absent
  with_items:
    - /opt/apache-tomcat-{{tomcat_version}}/webapps/edg.war
    - /opt/apache-tomcat-{{tomcat_version}}/webapps/edg
    - /opt/apache-tomcat-{{tomcat_version}}/work/Catalina/localhost/edg

- name: add all services to the dropins
  copy: 
    #remote_src: True
    src: '{{item}}'
    dest: '/var/lib/topbraid/dropins' 
  with_fileglob:
    - '{{nfs_mount}}/topbraid/dropins/*.jar'

- name: Copy EDG war to remote
  copy:
    #remote_src: True
    src: '{{nfs_mount}}/{{release_version}}/topbraid/edg.war' 
    dest: /tmp/edg.war
    force: 'no'

- name: deploy edg
  copy: 
    src: /tmp/edg.war 
    dest: '/opt/apache-tomcat-{{tomcat_version}}/webapps/edg.war' 
    remote_src: yes
    owner: tomcat 
    group: tomcat
    mode: 0744

- pause:
    minutes: 1

- name: Configure EDG tomcat file 
  template: 
    src: web.xml 
    dest: '/opt/apache-tomcat-{{tomcat_version}}/webapps/edg/WEB-INF/'


- name: add tomcat soft file limits
  lineinfile:
    path: /etc/security/limits.conf
    state: present
    line: 'tomcat8         soft    nofile          2048'

- name: add tomcat hard file limits
  lineinfile:
    path: /etc/security/limits.conf
    state: present
    line: 'tomcat8         hard    nofile          8192'

- name: restart Tomcat
  systemd:
    name: tomcat
    state: restarted
    
- name: "wait for https://{{ cdvUrl }}/cdv to come up"
  uri:
    url: "https://{{ cdvUrl }}/cdv"
    status_code: 305
    follow_redirects: none
  register: result
  until: result.status == 305
  retries: 5
  delay: 60

- name: configure EDG
  include: configure.yml
  when: configure_edg  
    
